/* amtega-archam-core-web: Amtega Archetype Core Web
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core-web".
*
* "amtega-archam-core-web" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "APP" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.archam.core.web.filter;

import java.io.IOException;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.Assert;
import org.junit.Test;
import org.springframework.mock.web.MockFilterChain;
import org.springframework.mock.web.MockHttpServletRequest;
import org.springframework.mock.web.MockHttpServletResponse;
import org.springframework.mock.web.MockServletContext;

/**
 * Tests unitarios para el filtro ExceptionAwareMultipartFilter 
 */
public class ExceptionAwareMultipartFilterTest {

    private static final Logger LOGGER = LogManager.getLogger(ExceptionAwareMultipartFilterTest.class);

    @Test
    public void doFilterInternalWitoutException() {
        //given: declaramos el filtro, la request y el response
        ExceptionAwareMultipartFilter filter = new ExceptionAwareMultipartFilter();
        MockFilterChain mockChain = new MockFilterChain();
        ServletContext context = new MockServletContext("/");
        filter.setServletContext(context);
        HttpServletRequest request = new MockHttpServletRequest(context);
        HttpServletResponse response = new MockHttpServletResponse();
        
        //when: llamamos a doFilterInternal
        try {
            filter.doFilterInternal(request, response, mockChain);
        } catch (ServletException | IOException e) {
            LOGGER.error(e);
            Assert.fail("Se produjo un error: "+e.getLocalizedMessage());
        }
        //then: nada que validar
    }
}
