/* amtega-archam-core-web: Amtega Archetype Core Web
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core-web".
*
* "amtega-archam-core-web" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "APP" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.archam.core.web.mvc;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.web.servlet.support.RequestDataValueProcessor;

/**
 *  RequestDataValueProcessor para los tests, valida processAction, processFormFieldValue Y processUrl
 */
public class CustomRequestDataValueProcessorTest implements RequestDataValueProcessor {

    public static final String ACTION = "other action";
    public static final String FORM_FIELD_VALUE = "other field";
    public static final String URL = "other url";
    
    @Override
    public String processAction(HttpServletRequest request, String action, String httpMethod) {
        return ACTION;
    }

    @Override
    public String processFormFieldValue(HttpServletRequest request, String name, String value, String type) {
        return FORM_FIELD_VALUE;
    }

    @Override
    public Map<String, String> getExtraHiddenFields(HttpServletRequest request) {
        return null;
    }

    @Override
    public String processUrl(HttpServletRequest request, String url) {
        return URL;
    }

}
