/* amtega-archam-core: Amtega Archetype Core
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core”.
*
* "amtega-archam-core" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-archam-core" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.archam.core.event;

import org.springframework.context.ApplicationEvent;

/**
 * <code>Event</code> es la clase genérica para eventos.
 * 
 * @param <T>
 */
@SuppressWarnings("unchecked")
public abstract class Event<T> extends ApplicationEvent {

    private static final long serialVersionUID = 1L;

    /**
     * Construye un prototipo de evento.
     *
     * @param source el objeto en el cual se inicia el evento.
     */
    public Event(T source) {
        super(source);
    }

    @Override
    public T getSource() {
        return (T) super.getSource();
    }

}
