/* amtega-archam-core: Amtega Archetype Core
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core”.
*
* "amtega-archam-core" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-archam-core" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.archam.core.io;

import java.io.File;
import java.io.InputStream;

/**
 * <code>StorageManager</code> es la interfaz del gestor de almacenamiento de
 * ficheros.
 * 
 * @deprecated Se reemplazará esta interfaz por el componente amtega-ficheiros
 */
@Deprecated
public interface StorageManager {

    /**
     * Almacena un fichero en disco a partir de un recurso de tipo
     * <code>InputStream</code>.
     *
     * @param in el recurso a almacenar.
     * @return la ruta del recurso almacenado.
     */
    String store(InputStream in);

    /**
     * Almacena un fichero en disco a partir de un recurso de tipo
     * <code>File</code>.
     *
     * @param file el recurso a almacenar.
     * @return la ruta del fichero almacenado.
     */
    String store(File file);

    /**
     * Carga un recurso a partir de su ruta.
     *
     * @param path la ruta del recurso a cargar.
     * @return el recurso a cargar.
     */
    File load(String path);

    /**
     * Elimina un recurso a partir de su ruta.
     *
     * @param path la ruta del fichero a eliminar.
     * operación.
     */
    void delete(String path);

    /**
     * Elimina un recurso del sistema de ficheros
     *
     * @param file identificador de fichero
     */
    void delete(File file);
}
