/* amtega-archam-core: Amtega Archetype Core
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core”.
*
* "amtega-archam-core" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-archam-core" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 */
package es.xunta.amtega.transversal.archam.core.context;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.support.GenericApplicationContext;
import org.springframework.core.env.MutablePropertySources;

/**
 * Tests unitarios de la clase ExternalConfigurationInitializer
 */
public class ExternalConfigurationInitializerTest {

    @Test
    public void initialize() {
        //given: declaramos el ExternalConfigurationInitializer y un contexto
        ExternalConfigurationInitializer initializer = new ExternalConfigurationInitializer();
        ConfigurableApplicationContext applicationContext = new GenericApplicationContext();

        //when: inicializamos el ExternalConfigurationInitializer
        initializer.initialize(applicationContext);

        //then: validamos que existan los propertySources
        MutablePropertySources sources = applicationContext.getEnvironment().getPropertySources();

        Assert.assertTrue("El applicationContext no contiene el propertySource external", sources.contains("external"));
        Assert.assertTrue("El applicationContext no contiene el propertySource application", sources.contains("application"));
    }
}
