/* amtega-archam-core: Amtega Archetype Core
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-archam-core”.
*
* "amtega-archam-core" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-archam-core" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 */
package es.xunta.amtega.transversal.archam.core.event;

import org.junit.Assert;
import org.junit.Test;

/**
 * Tests unitarios de la clase CreatedEvent
 */
public class CreatedEventTest {

    @Test
    public void newNotificationEventWithSourceShouldCreateNewNotificationEventWithSameSource() {
        //given:Inicializamos un Source
        String source = "source";

        //when: Creamos un evento con el constructor con un Source
        CreatedEvent<String> event = new CreatedEvent<>(source);

        //then: Validamos el valor del source
        Assert.assertEquals("El source no es el mismo", source, event.getSource());
    }
}
