/* amtega-base-plugin-api: Modulo API del proyecto Amtega Plugins
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-base-plugin”.
*
* "amtega-base-plugin" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-base-plugin" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
 */
package es.xunta.amtega.transversal.plugin;

/**
 * Representa a un tipo de notificación representado como un "badge" para
 * presentar información al usuario en forma de círculo conteniendo un valor
 * numérico. El nivel de gravedad se representa con el color del círculo.
 */
public final class Badge implements Notification {

    private static final String DEFAULT_LEVEL = "info";
    private final int value;
    private final String level;

    public Badge(int value, String level) {
        this.value = value;
        this.level = level == null ? DEFAULT_LEVEL : level;
    }

    public Badge(int value) {
        this(value, DEFAULT_LEVEL);
    }

    @Override
    public String getLevel() {
        return level;
    }

    @Override
    public int getValue() {
        return value;
    }

}
