/* amtega-base-plugin-api: Modulo API del proyecto Amtega Plugins
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-base-plugin”.
*
* "amtega-base-plugin" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-base-plugin" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.plugin.type;

import javax.servlet.http.HttpServletRequest;

public abstract class AbstractLinkComponent extends AbstractComponent implements LinkComponent {

    private final String path;

    public AbstractLinkComponent(String textKey, String titleKey, String path) {
        super(textKey, titleKey);
        this.path = path;
    }

    @Override
    public String getUrl(HttpServletRequest request) {
        if( path==null){
            return EMPTY;
        }
        
        return composeUrl(request, path);
    }

    @Override
    public String getTarget() {
        // Atributo target opcional en HTML
        return null;
    }

    protected String composeUrl(HttpServletRequest request, String path) {
        String inAppPath = String.valueOf(path).startsWith("/") ? path : "/".concat(path);

        return request.getContextPath().concat(inAppPath);
    }
    
}
