/* amtega-base-plugin-api: Modulo API del proyecto Amtega Plugins
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-base-plugin”.
*
* "amtega-base-plugin" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-base-plugin" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.plugin.type;

import es.xunta.amtega.transversal.plugin.PluginType;
import javax.servlet.http.HttpServletRequest;

/**
 * Interfaz para los plugins de tipo JavaScriptResource Añade automáticamente
 * archivos js a los templates de la aplicación. La ruta del fichero js está
 * contextualizada.
 */
public interface JavaScriptResource extends PluginType {

    /**
     * Recupera la ruta contexutalizada del fichero javascript
     * 
     * @param request
     *            Request de la aplicación
     * @return Ruta contextualizada
     */
    String getSrc(HttpServletRequest request);

}
