/* amtega-common-authentication: Amtega Common Authentication
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-authentication".
*
* "amtega-common-authentication" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-authentication" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.authentication.exception;

/**
 * <code>MethodResponseException</code> es la excepción utilizada en caso de
 * error al recuperar información de cuentas de autenticación.
 */
public class MethodResponseException extends RuntimeException {
    private static final long serialVersionUID = 3718913176080150584L;

    /**
     * Constructor
     * @param msg Mensaje de error
     */
    public MethodResponseException(String msg) {
        super(msg);
    }

    /**
     * Constructor
     * @param msg Mensaje de error
     * @param cause Excepción original
     */
    public MethodResponseException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
