/* amtega-common-authorization: Componente de autorizacion
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-authorization”.
*
* "amtega-common-authorization" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-authorization" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.authorization.test;

import org.junit.Assert;
import org.junit.Test;

import es.xunta.amtega.transversal.authorization.Authorization;
import es.xunta.amtega.transversal.authorization.Policy;
import es.xunta.amtega.transversal.authorization.builder.AuthorizationBuilder;
import es.xunta.amtega.transversal.authorization.builder.SubjectBuilder;

public class AuthoritiesProviderDefinitionTest {

    @Test
    public void providerDefinitionTest() {
        Authorization auth = AuthorizationBuilder.newBuilder().build();
        Policy policy = auth.getAuthorization(SubjectBuilder.newSubject("dummy"));

        Assert.assertTrue("Se esperaba algún rol", !policy.getRoles().isEmpty());
        Assert.assertTrue("Se esperaba algún permiso", !policy.getPermissions().isEmpty());
    }

}
