/* amtega-common-authorization: Componente de autorizacion
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-authorization”.
*
* "amtega-common-authorization" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-authorization" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.authorization.test;

import java.util.Collections;
import java.util.Map;
import java.util.Set;

import es.xunta.amtega.transversal.authorization.AuthoritiesProvider;
import es.xunta.amtega.transversal.authorization.Context;
import es.xunta.amtega.transversal.authorization.Policy;
import es.xunta.amtega.transversal.authorization.Subject;

public class DummyAuthoritiesProvider implements AuthoritiesProvider {

    @Override
    public Policy getAuthorities(Subject<?> subject, Context context) {
        return new Policy() {

            @Override
            public Set<String> getRoles() {
                return Collections.singleton("DUMMY");
            }

            @Override
            public Set<String> getPermissions() {
                return Collections.singleton("DUMMY");
            }

            @Override
            public Map<String, Object> getContext() {
                return Collections.emptyMap();
            }
        };
    }

    @Override
    public boolean supports(Class<?> cls) {
        return true;
    }

    @Override
    public int getPriority() {
        return 0;
    }

}
