/* amtega-common-configuration: Amtega Common Configuration
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-configuration”.
*
* "amtega-common-configuration" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-configuration" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.configuration.environment;

import static org.junit.Assert.*;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.Test;

import es.xunta.amtega.transversal.configuration.exception.UndefinedSystemPropertyException;
import es.xunta.amtega.transversal.configuration.test.MockEnvironmentVariablesProvider;

/**
 * Test de validación de uso de implementación propia de
 * EnviromentVariablesProvider
 */
public class EnvironmentVariablesTest {
    private static final Logger LOGGER = LogManager.getLogger(EnvironmentVariablesTest.class);
    private static final String MSG = "Es una propiedad mock";

    @Test
    public void validateEnvironmentVariables() {
        try {
            EnvironmentVariables.getLogPath();
            fail("Propiedad no definida");
        } catch (UndefinedSystemPropertyException e) {
            LOGGER.debug("Se cumple la condición de test", e);
        }

        assertTrue(MSG, EnvironmentVariables.getCertPath().endsWith("resources"));
        assertEquals(MSG, "data-mock", EnvironmentVariables.getDataPath());

        assertEquals(MSG, MockEnvironmentVariablesProvider.MOCK, EnvironmentVariables.getEnvironment());
        assertEquals(MSG, "resources-mock", EnvironmentVariables.getResourcesPath());
        assertEquals(MSG, MockEnvironmentVariablesProvider.MOCK, EnvironmentVariables.getServerName());
        assertEquals(MSG, "temp-mock", EnvironmentVariables.getTempPath());
    }

}
