/* amtega-common-configuration: Amtega Common Configuration
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-configuration”.
*
* "amtega-common-configuration" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-configuration" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.configuration.test;

import java.io.File;

import es.xunta.amtega.transversal.configuration.environment.EnvironmentVariablesProvider;
import es.xunta.amtega.transversal.configuration.exception.UndefinedSystemPropertyException;

public class MockEnvironmentVariablesProvider implements EnvironmentVariablesProvider {
    public static final String MOCK = "mock";
    private final String rootPath = new File("src/test/resources").getAbsolutePath();

    @Override
    public String getLogPath() {
        // Forzamos excepción, para test
        throw new UndefinedSystemPropertyException("La propiedad de sistema no está definida");
    }

    @Override
    public String getCertPath() {
        return rootPath;
    }

    @Override
    public String getConfigPath() {
        return rootPath;
    }

    @Override
    public String getResourcesPath() {
        return "resources-mock";
    }

    @Override
    public String getTempPath() {
        return "temp-mock";
    }

    @Override
    public String getDataPath() {
        return "data-mock";
    }

    @Override
    public String getEnvironment() {
        return MOCK;
    }

    @Override
    public String getServerName() {
        return MOCK;
    }

    @Override
    public int getPriority() {
        return 0;
    }

}
