/* amtega-common-logging-sql: Amtega Common Logging SQL
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-logging-sql".
*
* "amtega-common-logging-sql" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-logging-sql" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.jdbc.logger;

import java.util.HashMap;

import es.xunta.amtega.transversal.logging.AuditableMessage;
import es.xunta.amtega.transversal.logging.StringPool;

/**
 * Implementación de un mensaje auditable
 */
final class AuditableMessageImpl extends HashMap<String, String> implements AuditableMessage {

    private static final long serialVersionUID = 5788704570573319290L;
    public static final String SQL = "sql";
    public static final String FECHA_INICIO = "fechaInicio";
    public static final String FECHA_FIN = "fechaFin";
    public static final String BASE_DATOS = "baseDatos";
    public static final String ERROR = "error";
    public static final String TIPO_SQL = "tipoSql";
    public static final String PARAMETROS = "parametros";

    @Override
    public Object getProperty(String key) {
        return containsKey(key) ? get(key) : StringPool.NA;
    }

}
