/* amtega-common-logging-sql: Amtega Common Logging SQL
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-logging-sql".
*
* "amtega-common-logging-sql" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-logging-sql" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.jdbc.logger;

/**
 * Constantes
 */ 
final class Constants {
    
    public static final String EMPTY = "";
    public static final String BLANK = " ";
    public static final String COMMA = ",";
    public static final String NA = "NA";
    public static final String COMMENT_PATTERN = "/\\*(.)*\\*/";
    // Debe contener la cadena "SSS" (ej: "017", con "SS"->"17", con "SSS"->"017")
    // Luego con DATE_ROW_SIZE cortamos el último dígito para quedarnos con los centisegundos
    public static final String DATE_PATTERN = "yyyyMMdd-HHmmssSSS";
    public static final int DATE_ROW_SIZE = DATE_PATTERN.length() - 1;
    public static final String DML_UNKNOW = "UNKNOW";
    public static final String DATE_PARAM_FORMAT = "yyyyMMdd-HHmmss";

    /**
     * Constructor privado
     */
    private Constants() {
        // Vacio
    }
    
}
