/* amtega-common-logging-sql: Amtega Common Logging SQL
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-logging-sql".
*
* "amtega-common-logging-sql" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-logging-sql" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.jdbc.logger;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

import com.tngtech.java.junit.dataprovider.DataProvider;
import com.tngtech.java.junit.dataprovider.DataProviderRunner;
import com.tngtech.java.junit.dataprovider.UseDataProvider;

@RunWith(DataProviderRunner.class)
public class SQLUtilsTest {

    @Test
    @UseDataProvider("sqlCleanTestValues")
    public void sqlCleanTest(String stringValue, String cleanSql) {
        String cleanConvertedSql = SQLUtils.clean(stringValue);
        Assert.assertEquals(cleanConvertedSql, cleanSql);
    }

    @DataProvider
    public static Object[][] sqlCleanTestValues() {
        return new Object[][] {
            {
                "//comentario select * from xxx select interviniente_.CO_PROCON as y0_",
                ""
            },
            {
                "select * from xxx/*comentario*/ select interviniente_.CO_PROCON as y0_",
                "select * from xxx select interviniente_.CO_PROCON as y0_"
            },
            {
                "select * from /* criteria query */ xxx /* criteria query */ select interviniente_.CO_PROCON as y0_",
                "select * from  xxx  select interviniente_.CO_PROCON as y0_"
            },
            {
                "/* load es.xunta.amtega.corweb.model.domain.Constante */ select constante0_.codConstante as codConst1_10_0_, constante0_.valor as valor2_10_0_ from constantes constante0_ where constante0_.codConstante=?",
                "select constante0_.codConstante as codConst1_10_0_, constante0_.valor as valor2_10_0_ from constantes constante0_ where constante0_.codConstante=?"
            }
        };
    }

}
