/* amtega-common-logging: Amtega Common Logging
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-logging".
*
* "amtega-common-logging" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-logging" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.logging;

import java.io.Serializable;

/**
 * Definición de los datos que debe proporcionar la el sistema para registro de
 * auditoría
 */
public interface AuditingDataProvider extends Serializable {

    /**
     * Usuario logueado
     * 
     * @return Identificador de usuario
     */
    String getUsuario();

    /**
     * Versión de aplicación
     * 
     * @return Versión de aplicación
     */
    String getVersion();

    /**
     * IP desde la que se conecta el usuario
     * 
     * @return IP de origen
     */
    String getIp();

    /**
     * Servidor desde el que se realiza la operación
     * 
     * @return Identificador de servidor
     */
    String getServidor();

}
