/* amtega-common-test: Amtega Test Utils
*
* Copyright (C) 2018 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-common-test".
*
* "amtega-common-test" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.2 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-common-test" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.test.configuration;

import static org.junit.Assert.*;
import static org.hamcrest.Matchers.*;

import java.io.File;

import org.junit.Test;

import es.xunta.amtega.transversal.configuration.environment.EnvironmentVariablesProvider;

public abstract class AbstractEnvironmentVariablesProviderTest {
    
    protected EnvironmentVariablesProvider instance = null;
    
    @Test
    public void getCertPathShouldReturnPath() {
        assertThat(instance.getCertPath(), is(this.buildPath("cert")));
    }
    
    @Test
    public void getConfigPathShouldReturnPath() {
        assertThat(instance.getConfigPath(), is(this.buildPath("config")));
    }
    
    @Test
    public void getDataPathShouldReturnPath() {
        assertThat(instance.getDataPath(), is(this.buildPath("data")));
    }
    
    @Test
    public void getLogPathShouldReturnPath() {
        assertThat(instance.getLogPath(), is(this.buildPath("log")));
    }
    
    @Test
    public void getResourcesPathShouldReturnPath() {
        assertThat(instance.getResourcesPath(), is(this.buildPath("resource")));
    }
    
    @Test
    public void getTempPathShouldReturnPath() {
        assertThat(instance.getTempPath(), is(this.buildPath("temp")));
    }
    
    @Test
    public void getEnvironmentShouldBeNotNull() {
        assertThat(instance.getEnvironment(), notNullValue());
    }
    
    @Test
    public void getServerNameShouldBeNotNull() {
        assertThat(instance.getServerName(), notNullValue());
    }
    
    @Test
    public void getPriorityShouldBeNotNull() {
        assertThat(instance.getPriority(), notNullValue());
    }
    
    private String buildPath(String key) {
        return new File("target/test-classes/root").getAbsolutePath().concat(File.separator).concat(key).concat(File.separator);
    }

}
