/* amtega-utils-facade: Biblioteca de utilidades comunes para aplicaciones Amtega
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "amtega-utils-facade”.
*
* "amtega-utils-facade" is free software: you can redistribute it and/or modify
* it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "amtega-utils-facade" is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.transversal.utils;

import java.io.File;
import java.util.Properties;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import es.xunta.amtega.transversal.authentication.Account;

public class BaseUtilsTest {

    private static final String DUMMY = "dummy";

    @Before
    public void init() {
        //Obtenemos ruta en la que se ejecutan los test usando el .properties de configuración
        String path = BaseUtilsTest.class.getResource("/amtega-common-configuration.properties").getPath();
        String rootPath = new File(path).getParent();
        System.setProperty("apps_base_path", rootPath);
    }

    @Test
    public void configurationTest() {
        Properties config = BaseUtils.Configuration.getProperties();

        //Propiedad en fichero cod_aplicacion.properties
        Assert.assertNotNull("No se encuentra la propiedad", config.getProperty("key"));
        //Propiedad en classpath:myconfiguration.properties
        Assert.assertNotNull("No se encuentra la propiedad", config.getProperty("my.key"));
    }

    @Test
    public void authenticationTest() throws Exception {
        BaseUtils.Authentication.login(DUMMY, DUMMY);

        Account account = BaseUtils.Authentication.findAccount(DUMMY);
        Assert.assertEquals("Los valores no coinciden", DUMMY, account.getUsuario());
    }

}