/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.documentos.exception;

import es.xunta.amtega.transversal.archam.core.exception.InternalErrorException;

/**
 * Excepción empregada nos casos nos que sexa necesario comprobar
 * se un determinado <code>Documento</code> xa existe.
 */
public class DocumentoYaExisteException extends InternalErrorException {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor
     *
     * @param titulo Título do documento.
     */
    public DocumentoYaExisteException(String titulo) {
        super("O documento con titulo '" + titulo + "' xa existe");
    }

}