/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.inicio.web;

import es.xunta.amtega.transversal.plugin.annotation.Plugin;
import es.xunta.amtega.transversal.plugin.type.AbstractSidebarMenuEntry;

/**
 * Clase que permite, a través dun plugin, amosar no menú lateral
 * un punto de acceso ás funcionalidades do módulo de documentos.
 */
@Plugin(id = "InicioSidebarMenuEntry")
public class InicioSidebarMenuEntry extends AbstractSidebarMenuEntry {

    private static final String ID = "inicio";
    private static final String TEXT = "layout.menu.left.inicio";
    private static final String TITLE = "global.inicio.title";
    private static final String PATH = "/";
    private static final String ICON = "glyphicon glyphicon-home";
    
    /**
     * Constructor
     */
    public InicioSidebarMenuEntry() {
        super(ID, TEXT, TITLE, PATH);
    }

    @Override
    public String getClassName() {
        return ICON;
    }

}
