/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.documentos;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.assertThat;

import org.junit.Test;

public class DocumentoFilterTest {

    @Test
    public void setTituloShouldReturnSameTitulo() {
        //given: titulo do documento
        String titulo = "titulo";
        DocumentoFilter filter = new DocumentoFilter();
        
        //when: indicamos o titulo
        filter.setTitulo(titulo);
        
        //then: recuperamos el mismo valor
        assertThat(filter.getTitulo(), is(titulo));
    }
    
    @Test
    public void setNombreShouldReturnSameNombre() {
        //given: Nome do documento
        String nombre = "Nombre";
        DocumentoFilter filter = new DocumentoFilter();
        
        //when: indicamos o nome
        filter.setNombre(nombre);
        
        //then: recuperamos o mesmo valor
        assertThat(filter.getNombre(), is(nombre));
    }
    
    
    @Test
    public void setFormatoShouldReturnSameFormato() {
        //given: formato do documento
        String formato = "formato";
        DocumentoFilter filter = new DocumentoFilter();
        
        //when: indicamos o formato
        filter.setFormato(formato);
        
        //then: recuperamos o mesmo valor
        assertThat(filter.getFormato(), is(formato));
    }   
}