/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.documentos.listener;

import static org.hamcrest.CoreMatchers.is;
import static org.junit.Assert.assertThat;

import org.junit.Test;

import es.xunta.amtega.codapp.documentos.Documento;
import es.xunta.amtega.transversal.archam.core.event.Event;

public class DocumentoEliminadoEventTest {

    @Test
    public void newNotificationEventWithSourceShouldCreateNewNotificationEventWithSameSource() {
        // given: Inicializamos un Source
        Documento source = new Documento();
        source.setId(1L);
        source.setTitulo("source");

        // when: Creamos un evento
        Event<Documento> event = new DocumentoEliminadoEvent(source);

        // then: Validamos o valor do source
        assertThat(event.getSource(), is(source));
    }

}
