/* Amtega Archetype for Spring-Web Applications
*
* Copyright (C) 2017 AMTEGA - Xunta de Galicia <componentes-transversais.amtega@xunta.gal>
*
* This file is part of "Amtega Archetype for Spring-Web Applications".
*
* "Amtega Archetype for Spring-Web Applications" is free software: you can redistribute it
* and/or modify it under the terms of:
* Apache License, Version 2.0 (the "License");
* or the European Union Public License, either Version 1.1 or – as soon
* they will be approved by the European Commission - subsequent versions of
* the EUPL;
*
* "Amtega Archetype for Spring-Web Applications" is distributed in the hope that
* it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* Apache Software License or European Union Public License for more details.
*
* You may obtain a copy of the Apache License, Version 2.0 at:
* http://www.apache.org/licenses/LICENSE-2.0
*
* You may obtain a copy of the European Union Public Licence at:
* http://joinup.ec.europa.eu/software/page/eupl/licence-eupl
*/

package es.xunta.amtega.codapp.test;

import org.junit.Test;

public class PlantillaTest {

    /*
     * Plantilla de base para implementar tests unitarios. O nombre da clase
     * debe corresponderse ci nombre da clase a probar co sufixo 'Test'
     * Exemplo: MiClaseTest
     * 
     * En tests unitarios validamos o correcto funcionamiento de compoñentes
     * individuáis, se estos compoñentes teñen dependencias con outros
     * compoñentes da aplicación, substitúense por por compoñentes 'mock'
     * que permitan validar o compoñente sen requirir da implementación real
     * das súas dependencias, nin arrancar o contexto completo da aplicación.
     * É MOI IMOPRTANTE que os tests unitarios se executen no menor tempo posible
     * para que a fase de test se realice de forma áxil e sexa realmente produtiva
     * e axude a validar o correcto funcionamiento e detectar posibles erros de
     * regresión.
     * 
     * Se os tests non se executan nun tempo razonable, o máis seguro é se acaben
     * desactivando e se perda o esforzo adicado á súa realización.
     * 
     * Os nomes dos métodos de test deben reflectir a condición que se vai
     * a probar: [proba]Should[ResultadoEsperado] p.ex.:
     * - gardarUsuarioSenNombreShouldThrowException,
     * - gardarUsuarioValidoShouldBeOk
     * 
     */

    @Test
    public void metodoShouldResultadoEsperado() {
        // given: precondicións
        // Object expected = [...];
        // when: acción
        // Object result = [...];
        // then: resultado
        // Assert.assertThat(result, CoreMatcher.is(expected));
    }
}
